****JMR
****4/16/2020
****Replication data for ``The Electoral Consequences of Roll Call Voting: Health Care and the 2018 Election'' by Bussing, Patton, Roberts, & Treul
***Figure 1: Town Halls Held Before May 4th Vote
**variable name is th_categ2
**categories based on data in pre_march4

***Table 1: Town Halls and Member Behavior on ACA Repeal
*** model for left column is: 
**ologit march4 individual_loss pre_march4 dpres total_yea retire if party_code==200, cluster(gcj_state)
**model for right column is:
**logit may4 individual_loss pre_may4 dpres total_yea retire if party_code==200, cluster(gcj_state)


***Table 2: ACA Behavior and Primary Challenger Emergence

**model for left column is:
**nbreg chals_o\ip may4 march4 dpres retire maj_leader les senior dwnom1 if party_code==200, cluster(gcj_state)
**model for right column is:
**nbreg chals_op may4 march4 dpres retire maj_leader les senior dwnom1 if party_code==200, cluster(gcj_state)




***Table 3: General Election Republican Incumbent Success
***Model for left column is: 
***logit gop_inc_win may4 individual_loss may4_loss dpres qc if party_code==200 & retire==0, cluster(gcj_state)

***Model for right column is:

****reg rep_vote may4 individual_loss may4_loss dpres qc if party_code==200 & retire==0, cluster(gcj_state)


***Table 4: Agreement with Member on AHCA and Vote Choice in 2018

**based on 2018 CCES common content
***model is:
***logit house_vote agree_gut2 clinton16 trump16 is_dem is_gop if retire==0 [pweight=weight_post], cluster(cd)
